#include <hip/hip_runtime_api.h>
#include <hipcub/hipcub.hpp>

typedef hipcub::DoubleBuffer<int> Buffer;

void buffer_size(int size, Buffer& keys, Buffer& vals, size_t *buffer_size)
{
    hipcub::DeviceRadixSort::SortPairs(nullptr, *buffer_size, keys, vals, size);
}
